import React, { Component } from 'react';
import PropTypes from 'prop-types';
import { Input } from 'amos-framework';

/**
 *
 * 门限name
 * @class ThresholdName
 * @extends {Component}
 */
class ThresholdName extends Component {
  constructor(props){
    super(props);
    this.state = {

    };
  }
  componentWillMount() {

  }

  componentDidMount(){

  }

  componentWillReceiveProps(nextProps) {

  }

  componentWillUnmount() {

  }

  render() {
    let { name,textStyle } = this.props;
    return (
      <div className={textStyle}>
        <div title={name} className='threshold-name'>{name}</div>
      </div>
    );
  }
}

ThresholdName.propTypes = {
  name: PropTypes.string,
  textStyle: PropTypes.string
};

ThresholdName.__AMOS_CHECKBOX = true;

export default ThresholdName;
